TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

rec ( nof(any) ) -> record

### Syntax

rec({<name> field := <any> a[,]})

### Description

<shortdoc> Record literals are written by writing down the components in order between 'rec(' and ')', and separating them by commas ','. Each component consists of the name, the assignment operator ':=', and the value. The empty record, i.e., the record with no components, is written as 'rec()'. </shortdoc>

### Examples

rec( a := 1, b := '2' ); # a record with two components
rec( a := 1, b := rec( c := 2 )); # records may contain records

### See also

Extend ( any ) -> record
Base ( any ) -> any
record

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack